Event Wizard® to Disable TLS 1.0

Here at Event Wizard®, we are serious about keeping our customers’ data safe and take every possible measure to do so. This means that we occasionally have to make adjustments to our system in order keep up-to-date with the latest security measures and remain fully PCI compliant. In some cases, this involves disabling older and outdated encryption protocols, such as TLS 1.0.

What do I need to do?

You and your registrants shouldn’t have any issues accessing Event Wizard®, provided you aren’t using an older or unsupported browser. To quickly test your browser compatibility, you can visit this test site, which already has TLS 1.0 disabled. If you can view the site without receiving any errors, you’re golden, but if you do experience any errors, you can either upgrade your browser, or change your settings based on the steps/screenshot below.

To Enable TLS 1.1 and 1.2 on Internet Explorer:

  1. On the Internet Explorer main menu, select Tools > Internet Options.
  2. In the Internet Options box, select the Advanced tab.
  3. In the Security category, uncheck Use TLS 1.0, and check Use TLS 1.1, as well as Use TLS 1.2.
  4. Click OK.
  5. Exit and restart Internet Explorer.

tls1

Please keep in mind that we will be disabling TLS 1.0 on Event Wizard® this coming weekend, so please be sure your web browser is up-to-spec before then, otherwise you may not be able to access Event Wizard®.

If you have any questions about TLS 1.0, our security in general, or anything else, just shoot us an email.


Posted on February 4, 2016 by Mike Schumann
Category : Announcements & Event Wizard®
Tagged : ,, , , ,